# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{11,12,13} )

inherit distutils-r1

DESCRIPTION="Password generator"
HOMEPAGE="https://gitea.fulh.ax/feffe/pwgen"
if [[ ${PV} == *9999 ]] ; then
	EGIT_REPO_URI="https://gitea.fulh.ax/feffe/pwgen.git"
	inherit git-r3
	KEYWORDS="~amd64 ~arm64"
else
	SRC_URI="https://gitea.fulh.ax/feffe/pwgen/archive/v${PV}.tar.gz -> ${P}.tar.gz"
	S="${WORKDIR}/pwgen"
	KEYWORDS="amd64 arm64"
fi


LICENSE="BSD"
SLOT="0"
IUSE=""

DEPEND=""
RDEPEND="${DEPEND} app-text/hunspell"
BDEPEND=""
